# std::multiset<Key,Compare,Allocator>::rend, std::multiset<Key,Compare,Allocator>::crend

From cppreference.com
< cpp‎ | container‎ | multiset

reverse_iterator rend(); |  | (until C++11)
reverse_iterator rend() noexcept; |  | (since C++11)
const_reverse_iterator rend() const; |  | (until C++11)
const_reverse_iterator rend() const noexcept; |  | (since C++11)
const_reverse_iterator crend() const noexcept; |  | (since C++11)

Returns a reverse iterator to the element following the last element of the reversed container. It corresponds to the element preceding the first element of the non-reversed container. This element acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

Reverse iterator to the element following the last element.

### Complexity

Constant.

### Notes

Because both `iterator` and `const_iterator` are constant iterators (and may in fact be the same type), it is not possible to mutate the elements of the container through an iterator returned by any of these member functions.

### See also

rbegin crbegin | returns a reverse iterator to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/multiset/rend&oldid=50617"